import java.awt.BorderLayout;
import javax.swing.*;
import java.awt.*;
 
class SubDialog extends JDialog
{
	private static final long serialVersionUID = 1L;

	public SubDialog()
	{
		// Layout for Dialog
		setLayout(new BorderLayout());
		setModalityType(ModalityType.APPLICATION_MODAL);
		
		// get icon
		ClassLoader cldr = this.getClass().getClassLoader();
		java.net.URL imageURL = cldr.getResource("about.png");
		ImageIcon icon = new ImageIcon(imageURL);		
		// create JLabel to insert icon
		JLabel imageLabel = new JLabel(icon);
		
		JPanel p1 = new JPanel();
		JTextArea a1 = new JTextArea("\n" +
				"   Roulette - Version 1.0\t\u00A9 2009 Ulrich Schregenberger\n" +
				"   for Windows, Linux\tschregenb.u@gmail.com\n");
		a1.setEditable(false);
		a1.setBackground(Color.BLACK);
		a1.setForeground(Color.WHITE);
		imageLabel.setSize(200,64);
		
		p1.setLayout(new BorderLayout());
		p1.add(imageLabel,BorderLayout.WEST);
		p1.add(a1,BorderLayout.CENTER);
		p1.setBackground(Color.BLACK);
		add(p1,BorderLayout.NORTH);
		
		JPanel ipan = new ImagePanel();		
		JScrollPane scr = new JScrollPane(ipan);
		scr.setPreferredSize(new Dimension(624,435));
		add(scr,BorderLayout.CENTER);
		
		// set scrollbar scrollamount
		scr.getVerticalScrollBar().setUnitIncrement(10);
		
		setTitle("Help");
		setPreferredSize(new Dimension(624,500));
		setResizable(false);
		pack();
		setLocationRelativeTo(null);
		setVisible(true);
		
		setDefaultCloseOperation(DISPOSE_ON_CLOSE);
	}	
	
	class ImagePanel extends JPanel 
	{		
		private static final long serialVersionUID = 1L;
		Image imag;
		
		public void paintComponent(Graphics g)
		{
			ClassLoader cldr = this.getClass().getClassLoader(); //used for getting icon from .jar file
			java.net.URL imageURL = cldr.getResource("handbook.png"); // icon must be in /src and /bin
			Image imag = new ImageIcon(imageURL).getImage();
							 
			Dimension size = new Dimension(imag.getWidth(null),imag.getHeight(null));
			setPreferredSize(size);
			setMinimumSize(size);
			setMaximumSize(size);
			setSize(600,2325);
		    g.drawImage(imag, 0, 0, null);
		}
	}
}

